{ config, pkgs, ... }:
{
  # Integrated Development Environment (IDE)
  # Wayland support: NIXOS_OZONE_WL=1

  environment.systemPackages = with pkgs; [
    (vscode-with-extensions.override {
      vscode = vscodium;
      vscodeExtensions = with vscode-extensions; [
        #ms-azuretools.vscode-docker
        #ms-vscode-remote.remote-ssh

        # Load environment from `shell.nix`.
        # https://matthewrhone.dev/nixos-vscode-environment
        # https://github.com/arrterian/nix-env-selector
        arrterian.nix-env-selector

        # Extended Markdown support, e.g. insert TOC.
        # https://github.com/yzhang-gh/vscode-markdown
        yzhang.markdown-all-in-one
        # Nix language support.
        # https://github.com/bbenoist/vscode-nix
        bbenoist.nix
        # Python language support:
        # IntelliSense (Pylance), Linting, Debugging, code formatting, unit tests, etc.
        ms-python.python
      ];
    })
  ];
}
